=== arch/arm/boot/dts/Makefile ===
ifeq ($(CONFIG_OF),y)

dtb-$(CONFIG_ARCH_ALPINE) += \
	alpine-db.dtb
dtb-$(CONFIG_MACH_ASM9260) += \
	alphascale-asm9260-devkit.dtb
# Keep at91 dtb files sorted alphabetically for each SoC
dtb-$(CONFIG_SOC_SAM_V4_V5) += \
	at91rm9200ek.dtb \
	mpa1600.dtb \
	animeo_ip.dtb \
	at91-qil_a9260.dtb \
	aks-cdu.dtb \
	ethernut5.dtb \
	evk-pro3.dtb \
	tny_a9260.dtb \
	usb_a9260.dtb \
	at91sam9261ek.dtb \
	at91sam9263ek.dtb \
	tny_a9263.dtb \
	usb_a9263.dtb \
	at91-foxg20.dtb \
	at91sam9g20ek.dtb \
	at91sam9g20ek_2mmc.dtb \
	kizbox.dtb \
	tny_a9g20.dtb \
	usb_a9g20.dtb \
	usb_a9g20_lpw.dtb \
	at91sam9m10g45ek.dtb \
	pm9g45.dtb \
	at91sam9n12ek.dtb \
	at91sam9rlek.dtb \
	at91-ariag25.dtb \
	at91-cosino_mega2560.dtb \
	at91sam9g15ek.dtb \
	at91sam9g25ek.dtb \
	at91sam9g35ek.dtb \
	at91sam9x25ek.dtb \
	at91sam9x35ek.dtb
dtb-$(CONFIG_SOC_SAM_V7) += \
	at91-sama5d3_xplained.dtb \
	sama5d31ek.dtb \
	sama5d33ek.dtb \
	sama5d34ek.dtb \
	sama5d35ek.dtb \
	sama5d36ek.dtb \
	at91-sama5d4_xplained.dtb \
	at91-sama5d4ek.dtb
dtb-$(CONFIG_ARCH_ATLAS6) += \
	atlas6-evb.dtb
dtb-$(CONFIG_ARCH_ATLAS7) += \
	atlas7-evb.dtb
dtb-$(CONFIG_ARCH_AXXIA) += \
	axm5516-amarillo.dtb
dtb-$(CONFIG_ARCH_BCM2835) += \
	bcm2835-rpi-b.dtb \
	bcm2835-rpi-b-plus.dtb
dtb-$(CONFIG_ARCH_BCM_5301X) += \
	bcm4708-buffalo-wzr-1750dhp.dtb \
	bcm4708-luxul-xwc-1000.dtb \
	bcm4708-netgear-r6250.dtb \
	bcm4708-netgear-r6300-v2.dtb \
	bcm47081-asus-rt-n18u.dtb \
	bcm47081-buffalo-wzr-600dhp2.dtb \
	bcm47081-buffalo-wzr-900dhp.dtb \
	bcm4709-netgear-r8000.dtb
dtb-$(CONFIG_ARCH_BCM_63XX) += \
	bcm963138dvt.dtb
dtb-$(CONFIG_ARCH_BCM_CYGNUS) += \
	bcm911360_entphn.dtb \
	bcm911360k.dtb \
	bcm958300k.dtb \
	bcm958305k.dtb
dtb-$(CONFIG_ARCH_BCM_MOBILE) += \
	bcm28155-ap.dtb \
	bcm21664-garnet.dtb
dtb-$(CONFIG_ARCH_BERLIN) += \
	berlin2-sony-nsz-gs7.dtb \
	berlin2cd-google-chromecast.dtb \
	berlin2q-marvell-dmp.dtb
dtb-$(CONFIG_ARCH_BRCMSTB) += \
	bcm7445-bcm97445svmb.dtb
dtb-$(CONFIG_ARCH_DAVINCI) += \
	da850-enbw-cmc.dtb \
	da850-evm.dtb
dtb-$(CONFIG_ARCH_DIGICOLOR) += \
	cx92755_equinox.dtb
dtb-$(CONFIG_ARCH_EFM32) += \
	efm32gg-dk3750.dtb
dtb-$(CONFIG_ARCH_EXYNOS3) += \
	exynos3250-monk.dtb \
	exynos3250-rinato.dtb
dtb-$(CONFIG_ARCH_EXYNOS4) += \
	exynos4210-origen.dtb \
	exynos4210-smdkv310.dtb \
	exynos4210-trats.dtb \
	exynos4210-universal_c210.dtb \
	exynos4412-odroidu3.dtb \
	exynos4412-odroidx.dtb \
	exynos4412-odroidx2.dtb \
	exynos4412-origen.dtb \
	exynos4412-smdk4412.dtb \
	exynos4412-tiny4412.dtb \
	exynos4412-trats2.dtb
dtb-$(CONFIG_ARCH_EXYNOS5) += \
	exynos5250-arndale.dtb \
	exynos5250-smdk5250.dtb \
	exynos5250-snow.dtb \
	exynos5250-spring.dtb \
	exynos5260-xyref5260.dtb \
	exynos5410-smdk5410.dtb \
	exynos5420-arndale-octa.dtb \
	exynos5420-peach-pit.dtb \
	exynos5420-smdk5420.dtb \
	exynos5422-odroidxu3.dtb \
	exynos5440-sd5v1.dtb \
	exynos5440-ssdk5440.dtb \
	exynos5800-peach-pi.dtb
dtb-$(CONFIG_ARCH_HI3xxx) += \
	hi3620-hi4511.dtb
dtb-$(CONFIG_ARCH_HIX5HD2) += \
	hisi-x5hd2-dkb.dtb
dtb-$(CONFIG_ARCH_HIGHBANK) += \
	highbank.dtb \
	ecx-2000.dtb
dtb-$(CONFIG_ARCH_HIP01) += \
	hip01-ca9x2.dtb
dtb-$(CONFIG_ARCH_HIP04) += \
	hip04-d01.dtb
dtb-$(CONFIG_ARCH_INTEGRATOR) += \
	integratorap.dtb \
	integratorcp.dtb
dtb-$(CONFIG_ARCH_KEYSTONE) += \
	k2hk-evm.dtb \
	k2l-evm.dtb \
	k2e-evm.dtb
dtb-$(CONFIG_MACH_KIRKWOOD) += \
	kirkwood-b3.dtb \
	kirkwood-blackarmor-nas220.dtb \
	kirkwood-cloudbox.dtb \
	kirkwood-d2net.dtb \
	kirkwood-db-88f6281.dtb \
	kirkwood-db-88f6282.dtb \
	kirkwood-dir665.dtb \
	kirkwood-dns320.dtb \
	kirkwood-dns325.dtb \
	kirkwood-dockstar.dtb \
	kirkwood-dreamplug.dtb \
	kirkwood-ds109.dtb \
	kirkwood-ds110jv10.dtb \
	kirkwood-ds111.dtb \
	kirkwood-ds209.dtb \
	kirkwood-ds210.dtb \
	kirkwood-ds212.dtb \
	kirkwood-ds212j.dtb \
	kirkwood-ds409.dtb \
	kirkwood-ds409slim.dtb \
	kirkwood-ds411.dtb \
	kirkwood-ds411j.dtb \
	kirkwood-ds411slim.dtb \
	kirkwood-goflexnet.dtb \
	kirkwood-guruplug-server-plus.dtb \
	kirkwood-ib62x0.dtb \
	kirkwood-iconnect.dtb \
	kirkwood-iomega_ix2_200.dtb \
	kirkwood-is2.dtb \
	kirkwood-km_kirkwood.dtb \
	kirkwood-laplug.dtb \
	kirkwood-lschlv2.dtb \
	kirkwood-lsxhl.dtb \
	kirkwood-mplcec4.dtb \
	kirkwood-mv88f6281gtw-ge.dtb \
	kirkwood-nas2big.dtb \
	kirkwood-net2big.dtb \
	kirkwood-net5big.dtb \
	kirkwood-netgear_readynas_duo_v2.dtb \
	kirkwood-netgear_readynas_nv+_v2.dtb \
	kirkwood-ns2.dtb \
	kirkwood-ns2lite.dtb \
	kirkwood-ns2max.dtb \
	kirkwood-ns2mini.dtb \
	kirkwood-nsa310.dtb \
	kirkwood-nsa310a.dtb \
	kirkwood-openblocks_a6.dtb \
	kirkwood-openblocks_a7.dtb \
	kirkwood-openrd-base.dtb \
	kirkwood-openrd-client.dtb \
	kirkwood-openrd-ultimate.dtb \
	kirkwood-pogo_e02.dtb \
	kirkwood-rd88f6192.dtb \
	kirkwood-rd88f6281-z0.dtb \
	kirkwood-rd88f6281-a.dtb \
	kirkwood-rs212.dtb \
	kirkwood-rs409.dtb \
	kirkwood-rs411.dtb \
	kirkwood-sheevaplug.dtb \
	kirkwood-sheevaplug-esata.dtb \
	kirkwood-t5325.dtb \
	kirkwood-topkick.dtb \
	kirkwood-ts219-6281.dtb \
	kirkwood-ts219-6282.dtb \
	kirkwood-ts419-6281.dtb \
	kirkwood-ts419-6282.dtb
dtb-$(CONFIG_ARCH_LPC32XX) += \
	ea3250.dtb phy3250.dtb
dtb-$(CONFIG_MACH_MESON6) += \
	meson6-atv1200.dtb
dtb-$(CONFIG_MACH_MESON8) += \
	meson8-minix-neo-x8.dtb
dtb-$(CONFIG_ARCH_MMP) += \
	pxa168-aspenite.dtb \
	pxa910-dkb.dtb \
	mmp2-brownstone.dtb
dtb-$(CONFIG_ARCH_MOXART) += \
	moxart-uc7112lx.dtb
dtb-$(CONFIG_SOC_IMX1) += \
	imx1-ads.dtb \
	imx1-apf9328.dtb
dtb-$(CONFIG_SOC_IMX25) += \
	imx25-eukrea-mbimxsd25-baseboard.dtb \
	imx25-eukrea-mbimxsd25-baseboard-cmo-qvga.dtb \
	imx25-eukrea-mbimxsd25-baseboard-dvi-svga.dtb \
	imx25-eukrea-mbimxsd25-baseboard-dvi-vga.dtb \
	imx25-karo-tx25.dtb \
	imx25-pdk.dtb
dtb-$(CONFIG_SOC_IMX27) += \
	imx27-apf27.dtb \
	imx27-apf27dev.dtb \
	imx27-eukrea-mbimxsd27-baseboard.dtb \
	imx27-pdk.dtb \
	imx27-phytec-phycore-rdk.dtb \
	imx27-phytec-phycard-s-rdk.dtb
dtb-$(CONFIG_SOC_IMX31) += \
	imx31-bug.dtb
dtb-$(CONFIG_SOC_IMX35) += \
	imx35-eukrea-mbimxsd35-baseboard.dtb \
	imx35-pdk.dtb
dtb-$(CONFIG_SOC_IMX50) += \
	imx50-evk.dtb
dtb-$(CONFIG_SOC_IMX51) += \
	imx51-apf51.dtb \
	imx51-apf51dev.dtb \
	imx51-babbage.dtb \
	imx51-digi-connectcore-jsk.dtb \
	imx51-eukrea-mbimxsd51-baseboard.dtb
dtb-$(CONFIG_SOC_IMX53) += \
	imx53-ard.dtb \
	imx53-m53evk.dtb \
	imx53-mba53.dtb \
	imx53-qsb.dtb \
	imx53-qsrb.dtb \
	imx53-smd.dtb \
	imx53-tx53-x03x.dtb \
	imx53-tx53-x13x.dtb \
	imx53-voipac-bsb.dtb
dtb-$(CONFIG_SOC_IMX6Q) += \
	imx6dl-aristainetos_4.dtb \
	imx6dl-aristainetos_7.dtb \
	imx6dl-cubox-i.dtb \
	imx6dl-dfi-fs700-m60.dtb \
	imx6dl-gw51xx.dtb \
	imx6dl-gw52xx.dtb \
	imx6dl-gw53xx.dtb \
	imx6dl-gw54xx.dtb \
	imx6dl-gw552x.dtb \
	imx6dl-hummingboard.dtb \
	imx6dl-nitrogen6x.dtb \
	imx6dl-phytec-pbab01.dtb \
	imx6dl-rex-basic.dtb \
	imx6dl-riotboard.dtb \
	imx6dl-sabreauto.dtb \
	imx6dl-sabreauto-ecspi.dtb \
	imx6dl-sabreauto-enetirq.dtb \
	imx6dl-sabreauto-flexcan1.dtb \
	imx6dl-sabreauto-gpmi-weim.dtb \
	imx6dl-sabrelite.dtb \
	imx6dl-sabresd.dtb \
	imx6dl-sabresd-btwifi.dtb \
	imx6dl-sabresd-hdcp.dtb \
	imx6dl-sabresd-ldo.dtb \
	imx6dl-tx6dl-comtft.dtb \
	imx6dl-tx6u-801x.dtb \
	imx6dl-tx6u-811x.dtb \
	imx6dl-udoo.dtb \
	imx6dl-sabresd-enetirq.dtb \
	imx6dl-wandboard.dtb \
	imx6dl-wandboard-revb1.dtb \
	imx6dl-udoo-hdmi.dtb \
	imx6dl-udoo-lvds7.dtb \
	imx6dl-udoo-lvds15.dtb \
	imx6q-arm2.dtb \
	imx6q-arm2-hsic.dtb \
	imx6q-pop-arm2.dtb \
	imx6q-cm-fx6.dtb \
	imx6q-cubox-i.dtb \
	imx6q-dfi-fs700-m60.dtb \
	imx6q-dmo-edmqmx6.dtb \
	imx6q-gk802.dtb \
	imx6q-gw51xx.dtb \
	imx6q-gw52xx.dtb \
	imx6q-gw53xx.dtb \
	imx6q-gw5400-a.dtb \
	imx6q-gw54xx.dtb \
	imx6q-gw552x.dtb \
	imx6q-hummingboard.dtb \
	imx6q-nitrogen6x.dtb \
	imx6q-phytec-pbab01.dtb \
	imx6q-rex-pro.dtb \
	imx6q-sabreauto.dtb \
	imx6q-sabreauto-ecspi.dtb \
	imx6q-sabreauto-enetirq.dtb \
	imx6q-sabreauto-flexcan1.dtb \
	imx6q-sabreauto-gpmi-weim.dtb \
	imx6qp-sabreauto.dtb \
	imx6qp-sabreauto-ecspi.dtb \
	imx6qp-sabreauto-flexcan1.dtb \
	imx6qp-sabreauto-gpmi-weim.dtb \
	imx6qp-sabresd.dtb \
	imx6qp-sabresd-btwifi.dtb \
	imx6qp-sabresd-hdcp.dtb \
	imx6qp-sabresd-ldo.dtb \
	imx6q-sabrelite.dtb \
	imx6q-sabresd.dtb \
	imx6q-sabresd-btwifi.dtb \
	imx6q-sabresd-hdcp.dtb \
	imx6q-sabresd-ldo.dtb \
	imx6q-sabresd-enetirq.dtb \
	imx6q-sbc6x.dtb \
	imx6q-tbs2910.dtb \
	imx6q-tx6q-1010.dtb \
	imx6q-tx6q-1010-comtft.dtb \
	imx6q-tx6q-1020.dtb \
	imx6q-tx6q-1020-comtft.dtb \
	imx6q-tx6q-1110.dtb \
	imx6q-udoo-hdmi.dtb \
	imx6q-udoo-lvds7.dtb \
	imx6q-udoo-lvds15.dtb \
	imx6sx-udoo-neo-basic.dtb \
	imx6sx-udoo-neo-basic-hdmi.dtb \
	imx6sx-udoo-neo-basic-hdmi-m4.dtb \
	imx6sx-udoo-neo-basicks.dtb \
	imx6sx-udoo-neo-basicks-hdmi.dtb \
	imx6sx-udoo-neo-basicks-hdmi-m4.dtb \
	imx6sx-udoo-neo-basicks-lvds15.dtb \
	imx6sx-udoo-neo-basicks-lvds15-m4.dtb \
	imx6sx-udoo-neo-basicks-lvds7.dtb \
	imx6sx-udoo-neo-basicks-lvds7-m4.dtb \
	imx6sx-udoo-neo-basicks-m4.dtb \
	imx6sx-udoo-neo-basic-lvds15.dtb \
	imx6sx-udoo-neo-basic-lvds15-m4.dtb \
	imx6sx-udoo-neo-basic-lvds7.dtb \
	imx6sx-udoo-neo-basic-lvds7-m4.dtb \
	imx6sx-udoo-neo-basic-m4.dtb \
	imx6sx-udoo-neo-extended.dtb \
	imx6sx-udoo-neo-extended-hdmi.dtb \
	imx6sx-udoo-neo-extended-hdmi-m4.dtb \
	imx6sx-udoo-neo-extended-lvds15.dtb \
	imx6sx-udoo-neo-extended-lvds15-m4.dtb \
	imx6sx-udoo-neo-extended-lvds7.dtb \
	imx6sx-udoo-neo-extended-lvds7-m4.dtb \
	imx6sx-udoo-neo-extended-m4.dtb \
	imx6sx-udoo-neo-full.dtb \
	imx6sx-udoo-neo-full-hdmi.dtb \
	imx6sx-udoo-neo-full-hdmi-m4.dtb \
	imx6sx-udoo-neo-full-lvds15.dtb \
	imx6sx-udoo-neo-full-lvds15-m4.dtb \
	imx6sx-udoo-neo-full-lvds7.dtb \
	imx6sx-udoo-neo-full-lvds7-m4.dtb \
	imx6sx-udoo-neo-full-m4.dtb \
	imx6q-wandboard.dtb \
	imx6q-wandboard-revb1.dtb
dtb-$(CONFIG_SOC_IMX6SL) += \
	imx6sl-evk.dtb \
	imx6sl-evk-btwifi.dtb \
	imx6sl-evk-ldo.dtb \
	imx6sl-evk-csi.dtb \
	imx6sl-evk-uart.dtb \
	imx6sl-warp.dtb
dtb-$(CONFIG_SOC_IMX6SX) += \
	imx6sx-14x14-arm2.dtb \
	imx6sx-sabreauto.dtb \
	imx6sx-sabreauto-m4.dtb \
	imx6sx-sdb-reva.dtb \
	imx6sx-sdb-reva-ldo.dtb \
	imx6sx-sdb.dtb	\
	imx6sx-sdb-btwifi.dtb \
	imx6sx-sdb-emmc.dtb \
	imx6sx-sdb-lcdif1.dtb \
	imx6sx-sdb-ldo.dtb	\
	imx6sx-sdb-m4.dtb \
	imx6sx-sdb-mqs.dtb \
	imx6sx-sdb-sai.dtb \
	imx6sx-19x19-arm2.dtb \
	imx6sx-19x19-arm2-ldo.dtb \
	imx6sx-19x19-arm2-csi.dtb \
	imx6sx-19x19-arm2-gpmi-weim.dtb
dtb-$(CONFIG_SOC_IMX6UL) += \
	imx6ul-14x14-ddr3-arm2.dtb \
	imx6ul-14x14-ddr3-arm2-emmc.dtb	\
	imx6ul-14x14-ddr3-arm2-flexcan2.dtb \
	imx6ul-14x14-ddr3-arm2-gpmi-weim.dtb \
	imx6ul-14x14-ddr3-arm2-mqs.dtb \
	imx6ul-14x14-ddr3-arm2-spdif.dtb \
	imx6ul-14x14-ddr3-arm2-wm8958.dtb \
	imx6ul-14x14-evk.dtb \
	imx6ul-14x14-evk-btwifi.dtb \
	imx6ul-14x14-evk-csi.dtb \
	imx6ul-14x14-evk-usb-certi.dtb \
	imx6ul-14x14-lpddr2-arm2.dtb \
	imx6ul-9x9-evk.dtb \
	imx6ul-9x9-evk-btwifi.dtb \
	imx6ul-9x9-evk-csi.dtb \
	imx6ul-9x9-evk-ldo.dtb
dtb-$(CONFIG_SOC_IMX7D) += \
	imx7d-12x12-lpddr3-arm2.dtb \
	imx7d-12x12-lpddr3-arm2-m4.dtb \
	imx7d-12x12-ddr3-arm2.dtb \
	imx7d-12x12-lpddr3-arm2-ecspi.dtb \
	imx7d-12x12-lpddr3-arm2-enet2.dtb \
	imx7d-12x12-lpddr3-arm2-flexcan.dtb \
	imx7d-12x12-lpddr3-arm2-mipi_dsi.dtb \
	imx7d-12x12-lpddr3-arm2-qspi.dtb \
	imx7d-12x12-lpddr3-arm2-sai.dtb \
	imx7d-12x12-lpddr3-arm2-mqs.dtb \
	imx7d-12x12-lpddr3-arm2-pcie.dtb \
	imx7d-19x19-lpddr2-arm2.dtb \
	imx7d-sdb.dtb \
	imx7d-sdb-epdc.dtb \
	imx7d-sdb-gpmi-weim.dtb \
	imx7d-sdb-m4.dtb \
	imx7d-sdb-qspi.dtb \
	imx7d-sdb-mipi-dsi.dtb \
	imx7d-sdb-reva.dtb \
	imx7d-sdb-reva-epdc.dtb \
	imx7d-sdb-reva-gpmi-weim.dtb \
	imx7d-sdb-reva-hdmi-audio.dtb \
	imx7d-sdb-reva-m4.dtb \
	imx7d-sdb-reva-qspi.dtb \
	imx7d-sdb-reva-touch.dtb \
	imx7d-sdb-reva-wm8960.dtb
dtb-$(CONFIG_SOC_LS1021A) += \
	ls1021a-qds.dtb \
	ls1021a-twr.dtb
dtb-$(CONFIG_SOC_VF610) += \
	vf500-colibri-eval-v3.dtb \
	vf610-colibri-eval-v3.dtb \
	imx6sx-sabreauto-m4.dtb \
	vf610-cosmic.dtb \
	vf610-twr.dtb
dtb-$(CONFIG_ARCH_MXS) += \
	imx23-evk.dtb \
	imx23-olinuxino.dtb \
	imx23-stmp378x_devb.dtb \
	imx28-apf28.dtb \
	imx28-apf28dev.dtb \
	imx28-apx4devkit.dtb \
	imx28-cfa10036.dtb \
