=== debian/changelog ===
dtweb (1.13) UNRELEASED; urgency=medium

  * Building release

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Fri, 11 Nov 2016 14:27:46 +0000

dtweb (1.13) xenial; urgency=medium

  * Enabled SPI1/2 for UDOO Quad/Dual
  * Multicore build proper support
  * Added dtweb-headless

 -- Francesco Montefoschi <francesco.montefoschi@udoo.org>  Fri, 11 Nov 2016 11:33:29 +0100

dtweb (1.12) xenial; urgency=medium

  * Kernel 4 support

 -- Francesco Montefoschi <francesco.montefoschi@udoo.org>  Wed, 30 Aug 2016 18:00:00 +0000

dtweb (1.11.1) xenial; urgency=medium

  * Xenial

 -- Francesco Montefoschi <francesco.montefoschi@udoo.org>  Wed, 24 Aug 2016 16:25:36 +0000

dtweb (1.11) trusty; urgency=medium

  * Added ecspi2

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Wed, 20 Jul 2016 16:05:28 +0100

dtweb (1.10) trusty; urgency=medium

  * Updated device trees to f9d152e66cb598c88860e9713a910f199b6d4d99

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Tue, 14 Mar 2016 14:02:06 +0100

dtweb (1.9) trusty; urgency=medium

  * Release at af66494a7f39b71f9d80871fce5f49b09cbcc71c

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Tue, 16 Feb 2016 16:16:31 +0100

dtweb (1.8) trusty; urgency=medium

  * UDOO Quad/Dual compatibility

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Fri, 08 Jan 2016 15:54:38 +0100

dtweb (1.7) trusty; urgency=medium

  * Major refactoring in utils

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Wed, 30 Dec 2015 16:55:24 +0100

dtweb (1.6) trusty; urgency=medium

  * Enable SPDIF and I2S audio on UDOO Neo

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Wed, 23 Dec 2015 10:34:39 +0100

dtweb (1.5) trusty; urgency=medium

  * getters in udoo*ctl utils

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Thu, 17 Dec 2015 18:40:08 +0100

dtweb (1.4) trusty; urgency=medium

  * Added udoom4ctl

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Thu, 17 Dec 2015 12:45:07 +0100

dtweb (1.3) trusty; urgency=medium

  * Fixes for defconfigs

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Wed, 16 Dec 2015 11:19:45 +0100

dtweb (1.2) trusty; urgency=medium

  * UDOO Neo support

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Fri, 11 Dec 2015 17:50:49 +0100

dtweb (1.1) trusty; urgency=medium

  * Improved GUI, usability and added warning to prevent short circuits between iMX6 and SAM3X.

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Thu, 12 Nov 2015 14:12:56 +0100

dtweb (1.0) trusty; urgency=low

  * Initial release

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Wed, 04 Nov 2015 16:10:50 +0000
